Bug 242773 - [nouveau] no longer works at all
[nouveau] no longer works at all
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 14:55 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 02:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (61.56 KB, text/plain)
2007-06-05 14:55 EDT, Bill Nottingham
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 11240 None None None Never

  None (edit)
Description Bill Nottingham 2007-06-05 14:55:10 EDT
Description of problem:

X refuses to start, claiming a DMA queue hang.

The last version I remember that works was 2.0.1-1.fc7; significant
changelog entries since then are:

* Mon Apr 02 2007 Kristian Høgsberg <krh@redhat.com> - 2.0.1-3
- Add nv patches to nouveau too.

* Fri Mar 30 2007 Kristian Høgsberg <krh@redhat.com> 2.0.1-2
- Update nouveau snapshot.

Version-Release number of selected component (if applicable):

2.0.2-2.fc7
2.0.96-2.fc7

How reproducible:

Every time

Steps to Reproduce:
1. start x (with startx or gdm)
Comment 1 Bill Nottingham 2007-06-05 14:55:10 EDT
Created attachment 156260 [details]
X log
Comment 2 Bill Nottingham 2007-06-05 15:29:58 EDT
git randr-1.2 branch doesn't fare any better.
Comment 3 Dave Airlie 2007-09-20 02:38:05 EDT
okay I've rebased nouveau please try again...
Comment 4 Bill Nottingham 2007-09-20 10:07:14 EDT
Still broken, same symptoms (also in upstream bug.)
Comment 5 Bug Zapper 2008-04-04 06:58:15 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-11-26 02:17:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bill Nottingham 2009-02-05 11:57:55 EST
Reassigning.
Comment 8 Ben Skeggs 2009-04-09 02:18:28 EDT
Closing as upstream bug now marked as fixed.

Note You need to log in before you can comment on or make changes to this bug.